import { jsx } from "react/jsx-runtime";
import { TokenMASK as TokenMASK$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMASK = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "MASK", "data-name": "TokenMASK", ...props, children: /* @__PURE__ */ jsx(TokenMASK$1, { variant }) });
  }
);
TokenMASK.displayName = "TokenMASK";
Object.assign(TokenMASK, { isGdsIcon: true });
export {
  TokenMASK
};
